[global]
auth supported = cephx
keyring = /etc/ceph/keyring.admin
max open files = 131072

[mds]
keyring = /etc/ceph/keyring.$name

[mds.0]
host = vsm2
public addr = 192.168.0.2

[mon]
mon data = /var/lib/ceph/mon/mon$id

[mon.0]
host = vsm2
mon addr = 192.168.0.2:6789

[mon.1]
host = vsm3
mon addr = 192.168.0.3:6789

[mon.2]
host = vsm4
mon addr = 192.168.0.4:6789

[osd]
filestore xattr use omap = true
keyring = /etc/ceph/keyring.$name
osd journal size = 0

[osd.0]
cluster addr = 192.168.2.2
host = vsm2
osd data = /var/lib/ceph/osd/ceph-0
osd journal = /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part5
public addr = 192.168.0.2,192.168.1.2

[osd.1]
cluster addr = 192.168.2.2
host = vsm2
osd data = /var/lib/ceph/osd/ceph-1
osd journal = /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part6
public addr = 192.168.0.2,192.168.1.2

[osd.10]
cluster addr = 192.168.2.3
host = vsm3
osd data = /var/lib/ceph/osd/ceph-2
osd journal = /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part7
public addr = 192.168.0.3,192.168.1.3

[osd.11]
cluster addr = 192.168.2.3
host = vsm3
osd data = /var/lib/ceph/osd/ceph-3
osd journal = /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part8
public addr = 192.168.0.3,192.168.1.3

[osd.12]
cluster addr = 192.168.2.3
host = vsm3
osd data = /var/lib/ceph/osd/ceph-4
osd journal = /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part9
public addr = 192.168.0.3,192.168.1.3

[osd.13]
cluster addr = 192.168.2.3
host = vsm3
osd data = /var/lib/ceph/osd/ceph-5
osd journal = /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part10
public addr = 192.168.0.3,192.168.1.3

[osd.14]
cluster addr = 192.168.2.3
host = vsm3
osd data = /var/lib/ceph/osd/ceph-6
osd journal = /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part11
public addr = 192.168.0.3,192.168.1.3

[osd.15]
cluster addr = 192.168.2.3
host = vsm3
osd data = /var/lib/ceph/osd/ceph-7
osd journal = /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part12
public addr = 192.168.0.3,192.168.1.3

[osd.16]
cluster addr = 192.168.2.4
host = vsm4
osd data = /var/lib/ceph/osd/ceph-0
osd journal = /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:1:0-part5
public addr = 192.168.0.4,192.168.1.4

[osd.17]
cluster addr = 192.168.2.4
host = vsm4
osd data = /var/lib/ceph/osd/ceph-1
osd journal = /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:1:0-part6
public addr = 192.168.0.4,192.168.1.4

[osd.18]
cluster addr = 192.168.2.4
host = vsm4
osd data = /var/lib/ceph/osd/ceph-2
osd journal = /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:1:0-part7
public addr = 192.168.0.4,192.168.1.4

[osd.19]
cluster addr = 192.168.2.4
host = vsm4
osd data = /var/lib/ceph/osd/ceph-3
osd journal = /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:1:0-part8
public addr = 192.168.0.4,192.168.1.4

[osd.2]
cluster addr = 192.168.2.2
host = vsm2
osd data = /var/lib/ceph/osd/ceph-2
osd journal = /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part7
public addr = 192.168.0.2,192.168.1.2

[osd.20]
cluster addr = 192.168.2.4
host = vsm4
osd data = /var/lib/ceph/osd/ceph-4
osd journal = /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:1:0-part9
public addr = 192.168.0.4,192.168.1.4

[osd.21]
cluster addr = 192.168.2.4
host = vsm4
osd data = /var/lib/ceph/osd/ceph-5
osd journal = /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:1:0-part10
public addr = 192.168.0.4,192.168.1.4

[osd.22]
cluster addr = 192.168.2.4
host = vsm4
osd data = /var/lib/ceph/osd/ceph-6
osd journal = /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:1:0-part11
public addr = 192.168.0.4,192.168.1.4

[osd.23]
cluster addr = 192.168.2.4
host = vsm4
osd data = /var/lib/ceph/osd/ceph-7
osd journal = /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:1:0-part12
public addr = 192.168.0.4,192.168.1.4

[osd.3]
cluster addr = 192.168.2.2
host = vsm2
osd data = /var/lib/ceph/osd/ceph-3
osd journal = /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part8
public addr = 192.168.0.2,192.168.1.2

[osd.4]
cluster addr = 192.168.2.2
host = vsm2
osd data = /var/lib/ceph/osd/ceph-4
osd journal = /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part9
public addr = 192.168.0.2,192.168.1.2

[osd.5]
cluster addr = 192.168.2.2
host = vsm2
osd data = /var/lib/ceph/osd/ceph-5
osd journal = /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part10
public addr = 192.168.0.2,192.168.1.2

[osd.6]
cluster addr = 192.168.2.2
host = vsm2
osd data = /var/lib/ceph/osd/ceph-6
osd journal = /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part11
public addr = 192.168.0.2,192.168.1.2

[osd.7]
cluster addr = 192.168.2.2
host = vsm2
osd data = /var/lib/ceph/osd/ceph-7
osd journal = /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part12
public addr = 192.168.0.2,192.168.1.2

[osd.8]
cluster addr = 192.168.2.3
host = vsm3
osd data = /var/lib/ceph/osd/ceph-0
osd journal = /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part5
public addr = 192.168.0.3,192.168.1.3

[osd.9]
cluster addr = 192.168.2.3
host = vsm3
osd data = /var/lib/ceph/osd/ceph-1
osd journal = /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part6
public addr = 192.168.0.3,192.168.1.3

